## nifticlib 2.0.0

=== CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(NIFTI)
# Configure Dart testing support.
INCLUDE(${CMAKE_ROOT}/Modules/Dart.cmake)

SUBDIRS(znzlib niftilib)
ADD_DEFINITIONS(-DHAVE_ZLIB)

# add option to build shared libraries. The default is OFF to maintain the
# current build behavior
OPTION ( BUILD_SHARED_LIBS "Toggle building shared libraries")

# Michael Hanke 2007-04-25 Note:
# 'Utilities' is merged into the include install path to be able to easily
# install into any other path if necessary. For the same reason lib, bin and
# include dir for standalone builds are only set if not yet defined.

###  USE AS PART OF ITK
IF("${ITK_VERSION_MAJOR}" GREATER 0.0)
#   MESSAGE(STATUS "---------------------ITK ZLIB  ${ITK_ZLIB_LIBRARIES}")
  ADD_DEFINITIONS(-DHAVE_ZLIB)
  ADD_DEFINITIONS(-DITKZLIB)
  SET(PACKAGE_PREFIX "ITK")
  SET(NIFTI_LIBRARY_PROPERTIES ${ITK_LIBRARY_PROPERTIES})
  SET(NIFTI_INSTALL_BIN_DIR "${ITK_INSTALL_BIN_DIR_CM24}")
  SET(NIFTI_INSTALL_LIB_DIR "${ITK_INSTALL_LIB_DIR_CM24}")
  SET(NIFTI_INSTALL_INCLUDE_DIR "${ITK_INSTALL_INCLUDE_DIR_CM24}/Utilities")
  SET(NIFTI_ZLIB_LIBRARIES ${ITK_ZLIB_LIBRARIES})
  SET(NIFTI_INSTALL_NO_DEVELOPMENT ${ITK_INSTALL_NO_DEVELOPMENT})
  SET(NIFTI_INSTALL_NO_LIBRARIES ${ITK_INSTALL_NO_LIBRARIES})

ELSE("${ITK_VERSION_MAJOR}" GREATER 0.0)
  SET(CPACK_PACKAGE_VERSION_MAJOR "2")
  SET(CPACK_PACKAGE_VERSION_MINOR "0")
  SET(CPACK_PACKAGE_VERSION_PATCH "0")
###  USE AS STAND ALONE PACKAGE
   FIND_PACKAGE(ZLIB)
#  MESSAGE(STATUS "---------------------SYSTEM ZLIB ${ZLIB_LIBRARY}")
  SET(PACKAGE_PREFIX "")
  # Set default shared library version
  # This library version will be applied to all libraries in the package
  # unless it is not explicitely for a certain lib.
  SET(NIFTI_SHAREDLIB_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH} )
  STRING( REGEX MATCH "^[0-9]+" NIFTI_SHAREDLIB_SOVERSION ${NIFTI_SHAREDLIB_VERSION})
  SET(NIFTI_LIBRARY_PROPERTIES VERSION ${NIFTI_SHAREDLIB_VERSION} SOVERSION ${NIFTI_SHAREDLIB_SOVERSION})

  SET(NIFTI_INSTALL_BIN_DIR "${CMAKE_INSTALL_PREFIX}/bin")
  SET(NIFTI_INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib")
  SET(NIFTI_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include/nifti")
  SET(NIFTI_ZLIB_LIBRARIES ${ZLIB_LIBRARIES})
  SET(NIFTI_INSTALL_NO_DEVELOPMENT 0)
  SET(NIFTI_INSTALL_NO_LIBRARIES 0)

  #Needs an if clause and more work before testing can take place.
  SUBDIRS(Testing)
  SUBDIRS(nifticdf utils)

  OPTION(USE_FSL_CODE "If OFF, The copyright of this code is questionable for inclusion with nifti." OFF)
  MARK_AS_ADVANCED(USE_FSL_CODE)

  # the order of subdirs is important! fsliolob has to preceed examples
  # as otherwise FSLIOLIB_SOURCE_DIR is undefined and hence the examples
  # will fail to compile
  IF(USE_FSL_CODE)
    SUBDIRS(fsliolib)
    SUBDIRS(examples)
  ENDIF(USE_FSL_CODE)
  ENABLE_TESTING()
  INCLUDE(Dart)

  ####################################
  ### Define information necessary for packaging with CPACK (http://www.cmake.org/Wiki/CMake:Packaging_With_CPack)
### The last section is concerned with installing the binaries and making distributions.
INCLUDE(InstallRequiredSystemLibraries)

SET(CPACK_PACKAGE_NAME "NIFTI")

SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-dev")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Niftilib is a set of i/o libraries for reading and writing files in the nifti-1 data format. nifti-1 is a binary file format for storing medical image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) brain images.")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${NIFTI_SOURCE_DIR}/README")
#SET(CPACK_RESOURCE_FILE_LICENSE "${NIFTI_SOURCE_DIR}/Copyright.txt")
SET(CPACK_RESOURCE_FILE_LICENSE "${NIFTI_SOURCE_DIR}/README")

SET(CPACK_PACKAGE_DEFAULT_LOCATION "/opt/${CPACK_PACKAGE_NAME}")
#SET(CPACK_PACKAGE_INSTALL_DIRECTORY "NIFTI ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${NIFTI}")
SET(CPACK_PACKAGING_INSTALL_PREFIX "/")
SET(CPACK_SET_DESTDIR ON)

SET(CPACK_PACKAGE_VENDOR "NIFTI DFWG")

SET(CPACK_SOURCE_GENERATOR "TGZ;TZ")
#SET(CPACK_SOURCE_IGNORE_FILES "/CVS/;/\\.svn/;\\.swp$;\\.#;/#;\\.*~")
SET(CPACK_SOURCE_IGNORE_FILES "")
SET(CPACK_PACKAGE_EXECUTABLES "NIFTI";"A program for registering medical
images with mutual information.")

IF(WIN32 AND NOT UNIX)
  SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY
"${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
  # There is a bug in NSI that does not handle full unix paths properly. Make
  # sure there is at least one set of four (4) backlasshes.
  SET(CPACK_PACKAGE_ICON
"${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
  SET(CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} My Famous
Project")
  SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.nitrc.org")
  SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.nitrc.org")
  SET(CPACK_NSIS_CONTACT "xyz@domain.edu")
  SET(CPACK_NSIS_MODIFY_PATH ON)
ELSE(WIN32 AND NOT UNIX)
  SET(CPACK_STRIP_FILES OFF)
  SET(CPACK_SOURCE_STRIP_FILES OFF)
ENDIF(WIN32 AND NOT UNIX)

INCLUDE(CPack)


ENDIF("${ITK_VERSION_MAJOR}" GREATER 0.0)



IF(NOT DEFINED NIFTI_INSTALL_LIB_DIR)
  MESSAGE(FATAL_ERROR "Must set NIFTI_INSTALL_LIB_DIR.")
ENDIF(NOT DEFINED NIFTI_INSTALL_LIB_DIR)
IF(NOT DEFINED NIFTI_INSTALL_BIN_DIR)
  MESSAGE(FATAL_ERROR "Must set NIFTI_INSTALL_BIN_DIR.")
ENDIF(NOT DEFINED NIFTI_INSTALL_BIN_DIR)
IF(NOT DEFINED NIFTI_INSTALL_INCLUDE_DIR)
  MESSAGE(FATAL_ERROR "Must set NIFTI_INSTALL_INCLUDE_DIR.")
ENDIF(NOT DEFINED NIFTI_INSTALL_INCLUDE_DIR)

=== examples/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(FSLEXAMPLES)

INCLUDE_DIRECTORIES(${NIFTILIB_SOURCE_DIR} ${ZNZLIB_SOURCE_DIR} ${FSLIOLIB_SOURCE_DIR} )

ADD_EXECUTABLE(  ${PACKAGE_PREFIX}fsl_api_driver fsl_api_driver.c )
TARGET_LINK_LIBRARIES( fsl_api_driver ${PACKAGE_PREFIX}fslio)

IF(NOT NIFTI_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS ${PACKAGE_PREFIX}fsl_api_driver
    RUNTIME DESTINATION ${NIFTI_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_LIBRARIES)

=== fsliolib/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(FSLIOLIB)

INCLUDE_DIRECTORIES(${NIFTILIB_SOURCE_DIR} ${ZNZLIB_SOURCE_DIR})
SET(FSLIOLIB_SRC fslio.c)

# Michael Hanke 2004-04-25:
# Restructure the file to match those of niftilib and znzlib
SET(NIFTI_FSLIOLIB_NAME ${PACKAGE_PREFIX}fslio)

ADD_LIBRARY(${NIFTI_FSLIOLIB_NAME} ${FSLIOLIB_SRC} )
TARGET_LINK_LIBRARIES( ${NIFTI_FSLIOLIB_NAME} ${PACKAGE_PREFIX}niftiio)

# Set lib version when buildung shared libs.
IF (BUILD_SHARED_LIBS)
  SET_TARGET_PROPERTIES(${NIFTI_FSLIOLIB_NAME} PROPERTIES ${NIFTI_LIBRARY_PROPERTIES})
ENDIF (BUILD_SHARED_LIBS)

IF(NOT NIFTI_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS ${NIFTI_FSLIOLIB_NAME}
    RUNTIME DESTINATION ${NIFTI_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_LIBRARIES)

IF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)
  FILE(GLOB __files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
  INSTALL(FILES ${__files}
    DESTINATION ${NIFTI_INSTALL_INCLUDE_DIR}
    COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)

=== fsliolib/Makefile ===
include ../Makefile


PROJNAME = fslio

INCFLAGS = $(ZLIB_INC) $(ZNZ_INC) $(NIFTI_INC)
LIBS = $(ZLIB_LIBS) $(ZNZ_LIBS) $(NIFTI_LIBS) $(FSL_LIBS)

SRCS=fslio.c
OBJS=fslio.o

SCRIPTS = remove_ext fsloutputtype imtest imglob imcp imln imrm immv



depend:	
	$(RM) -f depend.mk
	$(MAKE) depend.mk

depend.mk:
	$(CC) $(DEPENDFLAGS) $(INCFLAGS) $(SRCS) >> depend.mk

lib: libfslio.a

libfslio.a: ${OBJS}
	${AR} -r libfslio.a ${OBJS}


include depend.mk

=== nifticdf/CMakeLists.txt ===
PROJECT(NIFTICDFLIB)

INCLUDE_DIRECTORIES(${NIFTILIB_SOURCE_DIR})
#INCLUDE_DIRECTORIES(/usr/include/nifti)
SET(NIFTICDFLIB_SRC nifticdf.c)

SET(NIFTI_CDFLIB_NAME ${PACKAGE_PREFIX}nifticdf)

ADD_LIBRARY(${NIFTI_CDFLIB_NAME} ${NIFTICDFLIB_SRC} )

IF (BUILD_SHARED_LIBS)
  SET_TARGET_PROPERTIES(${NIFTI_CDFLIB_NAME} PROPERTIES ${NIFTI_LIBRARY_PROPERTIES})
ENDIF (BUILD_SHARED_LIBS)


IF(NOT NIFTI_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS ${NIFTI_CDFLIB_NAME}
    RUNTIME DESTINATION ${NIFTI_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_LIBRARIES)

IF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)
  FILE(GLOB __files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
  INSTALL(FILES ${__files}
    DESTINATION ${NIFTI_INSTALL_INCLUDE_DIR}
    COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)

=== niftilib/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(NIFTILIB)

INCLUDE_DIRECTORIES(${ZNZLIB_SOURCE_DIR})
SET(NIFTILIB_SRC nifti1_io.c)

SET(NIFTI_NIFTILIB_NAME ${PACKAGE_PREFIX}niftiio)
ADD_LIBRARY(${NIFTI_NIFTILIB_NAME} ${NIFTILIB_SRC} )
TARGET_LINK_LIBRARIES( ${NIFTI_NIFTILIB_NAME} ${PACKAGE_PREFIX}znz)

# Set library version when building shared libs.
IF (BUILD_SHARED_LIBS)
  SET_TARGET_PROPERTIES(${NIFTI_NIFTILIB_NAME} PROPERTIES ${NIFTI_LIBRARY_PROPERTIES})
ENDIF (BUILD_SHARED_LIBS)

IF(UNIX)
  TARGET_LINK_LIBRARIES(${NIFTI_NIFTILIB_NAME} -lm)
ENDIF(UNIX)

IF(NOT NIFTI_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS ${NIFTI_NIFTILIB_NAME}
    RUNTIME DESTINATION ${NIFTI_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_LIBRARIES)

IF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)
  FILE(GLOB __files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
  INSTALL(FILES ${__files}
    DESTINATION ${NIFTI_INSTALL_INCLUDE_DIR}
    COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)

=== utils/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(NIFTIUTILS)

INCLUDE_DIRECTORIES(${NIFTILIB_SOURCE_DIR} ${ZNZLIB_SOURCE_DIR} ${NIFTICDFLIB_SOURCE_DIR})

ADD_EXECUTABLE(${PACKAGE_PREFIX}nifti_stats nifti_stats.c)
ADD_EXECUTABLE(${PACKAGE_PREFIX}nifti_tool nifti_tool.c)
ADD_EXECUTABLE(${PACKAGE_PREFIX}nifti1_test nifti1_test.c)
TARGET_LINK_LIBRARIES( nifti_stats ${PACKAGE_PREFIX}niftiio ${PACKAGE_PREFIX}nifticdf)
TARGET_LINK_LIBRARIES( nifti_tool  ${PACKAGE_PREFIX}niftiio)
TARGET_LINK_LIBRARIES( nifti1_test ${PACKAGE_PREFIX}niftiio)

IF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)
  INSTALL(TARGETS ${PACKAGE_PREFIX}nifti_stats ${PACKAGE_PREFIX}nifti_tool ${PACKAGE_PREFIX}nifti1_test
    RUNTIME DESTINATION ${NIFTI_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)

IF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)
  FILE(GLOB __files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
  INSTALL(FILES ${__files}
    DESTINATION ${NIFTI_INSTALL_INCLUDE_DIR} COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)

ADD_TEST(${PACKAGE_PREFIX}nifti1_test_help ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti1_test)
ADD_TEST(${PACKAGE_PREFIX}nifti1_test_n1 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti1_test  -n1  ${NIFTI_SOURCE_DIR}/Testing/Data/ATestReferenceImageForReadingAndWriting.nii.gz ${NIFTIUTILS_BINARY_DIR}/n1 )
ADD_TEST(${PACKAGE_PREFIX}nifti1_test_n2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti1_test  -n2  ${NIFTI_SOURCE_DIR}/Testing/Data/ATestReferenceImageForReadingAndWriting.nii.gz ${NIFTIUTILS_BINARY_DIR}/n2 )
ADD_TEST(${PACKAGE_PREFIX}nifti1_test_a2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti1_test  -a2  ${NIFTI_SOURCE_DIR}/Testing/Data/ATestReferenceImageForReadingAndWriting.nii.gz ${NIFTIUTILS_BINARY_DIR}/a2 )
ADD_TEST(${PACKAGE_PREFIX}nifti1_test_zn1 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti1_test -zn1 ${NIFTI_SOURCE_DIR}/Testing/Data/ATestReferenceImageForReadingAndWriting.nii.gz ${NIFTIUTILS_BINARY_DIR}/zn1 )
ADD_TEST(${PACKAGE_PREFIX}nifti1_test_zn2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti1_test -zn2 ${NIFTI_SOURCE_DIR}/Testing/Data/ATestReferenceImageForReadingAndWriting.nii.gz ${NIFTIUTILS_BINARY_DIR}/zn2 )
ADD_TEST(${PACKAGE_PREFIX}nifti1_test_za2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti1_test -za2 ${NIFTI_SOURCE_DIR}/Testing/Data/ATestReferenceImageForReadingAndWriting.nii.gz ${NIFTIUTILS_BINARY_DIR}/za2 )

#The help screens always return 1; ADD_TEST(${PACKAGE_PREFIX}nifti_tool_help ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool)
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_n1 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool  -disp_hdr -infile ${NIFTIUTILS_BINARY_DIR}/n1 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_n2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool  -disp_hdr -infile ${NIFTIUTILS_BINARY_DIR}/n2 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_a2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool  -disp_hdr -infile ${NIFTIUTILS_BINARY_DIR}/a2 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_zn1 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -disp_hdr -infile ${NIFTIUTILS_BINARY_DIR}/zn1 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_zn2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -disp_hdr -infile ${NIFTIUTILS_BINARY_DIR}/zn2 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_za2 ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -disp_hdr -infile ${NIFTIUTILS_BINARY_DIR}/za2 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_diff_hdr ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -diff_hdr -infile ${NIFTIUTILS_BINARY_DIR}/zn1 ${NIFTIUTILS_BINARY_DIR}/zn1 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_diff_nims ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -diff_nim -infile ${NIFTIUTILS_BINARY_DIR}/zn1 ${NIFTIUTILS_BINARY_DIR}/zn1 )

ADD_TEST(${PACKAGE_PREFIX}nifti_tool_copy_brick_list ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -cbl -prefix cbl_zn1.nii -infile ${NIFTIUTILS_BINARY_DIR}/zn1.nii.gz[0,1])
#ADD_TEST(${PACKAGE_PREFIX}nifti_tool_copy_collapsed_image /bin/sh ${NIFTI_SOURCE_DIR}/utils/rmthenrun cci_zn1.nii ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -cci 2 2 2 -1 -1 -1 -1 -prefix cci_zn1.nii -infile ${NIFTIUTILS_BINARY_DIR}/zn1.nii.gz )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_disp_ci ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -disp_ci 2 2 2 -1 0 0 0  -infile ${NIFTIUTILS_BINARY_DIR}/zn1.nii.gz )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_disp_ts ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -disp_ts 2 2 2 -infile ${NIFTIUTILS_BINARY_DIR}/zn1.nii.gz )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_strip_extras ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -strip_extras -infile ${NIFTIUTILS_BINARY_DIR}/zn1.nii.gz )

# This test needs a file that has extensions to remove
#ADD_TEST(${PACKAGE_PREFIX}nifti_tool_rm_ext /bin/sh ${NIFTI_SOURCE_DIR}/utils/rmthenrun rm_ext.nii ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -rm_ext ALL -prefix rm_ext.nii -infile ${NIFTIUTILS_BINARY_DIR}/zn1.nii.gz )

ADD_TEST(${PACKAGE_PREFIX}nifti_tool_check_hdr ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -check_hdr -infile ${NIFTIUTILS_BINARY_DIR}/za2 )
ADD_TEST(${PACKAGE_PREFIX}nifti_tool_check_nim ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_tool -check_nim -infile ${NIFTIUTILS_BINARY_DIR}/za2 )

FOREACH(DISTRIBUTION CORREL TTEST FTEST ZSCORE CHISQ BETA BINOM GAMMA POISSON NORMAL FTEST_NONC CHISQ_NONC LOGISTIC LAPLACE UNIFORM TTEST_NONC WEIBULL CHI INVGAUSS EXTVAL PVAL LOGPVAL LOG10PVAL )
    ADD_TEST(${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats 0:4:1 ${DISTRIBUTION})
    ADD_TEST(q${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -q 0:4:1 ${DISTRIBUTION})
    ADD_TEST(q1${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -q 0:4:1 ${DISTRIBUTION} 1 1 1)
    ADD_TEST(d${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -d 0:4:1 ${DISTRIBUTION})
    ADD_TEST(d1${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -d 0:4:1 ${DISTRIBUTION} 1 1 1)
    ADD_TEST(1${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -1 0:4:1 ${DISTRIBUTION})
    ADD_TEST(11${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -1 0:4:1 ${DISTRIBUTION} 1 1 1)
    ADD_TEST(z${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -z 0:4:1 ${DISTRIBUTION})
    ADD_TEST(z1${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -z 0:4:1 ${DISTRIBUTION} 1 1 1)
    ADD_TEST(h${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -h 0:4:1 ${DISTRIBUTION})
    ADD_TEST(h1${PACKAGE_PREFIX}nifti_stats_${DISTRIBUTION}_test ${NIFTIUTILS_BINARY_DIR}/${PACKAGE_PREFIX}nifti_stats -h 0:4:1 ${DISTRIBUTION} 1 1 1)
ENDFOREACH(DISTRIBUTION)

=== znzlib/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(ZNZLIB)
SET(ZNZLIB_SRC znzlib.c)
INCLUDE_REGULAR_EXPRESSION("^.*$")

SET(NIFTI_ZNZLIB_NAME ${PACKAGE_PREFIX}znz)

ADD_LIBRARY(${NIFTI_ZNZLIB_NAME} ${ZNZLIB_SRC} )
TARGET_LINK_LIBRARIES( ${NIFTI_ZNZLIB_NAME} ${NIFTI_ZLIB_LIBRARIES} )

# Set library version if building shared libs.
IF (BUILD_SHARED_LIBS)
  SET_TARGET_PROPERTIES(${NIFTI_ZNZLIB_NAME} PROPERTIES ${NIFTI_LIBRARY_PROPERTIES})
ENDIF (BUILD_SHARED_LIBS)


IF(NOT NIFTI_INSTALL_NO_LIBRARIES)
  INSTALL(TARGETS ${NIFTI_ZNZLIB_NAME}
    RUNTIME DESTINATION ${NIFTI_INSTALL_BIN_DIR} COMPONENT RuntimeLibraries
    LIBRARY DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT RuntimeLibraries
    ARCHIVE DESTINATION ${NIFTI_INSTALL_LIB_DIR} COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_LIBRARIES)

IF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)
  FILE(GLOB __files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
  INSTALL(FILES ${__files}
    DESTINATION ${NIFTI_INSTALL_INCLUDE_DIR}
    COMPONENT Development)
ENDIF(NOT NIFTI_INSTALL_NO_DEVELOPMENT)

=== Testing/nifti_regress_test/CMakeLists.txt ===
# Do all regression tests
PROJECT(REGRESSION_TEST)

SET(NT ${NIFTI_BINARY_DIR}/utils/nifti_tool )
SET(DATA ${REGRESSION_TEST_BINARY_DIR}/nifti_regress_data)
SET(TESTS ${REGRESSION_TEST_SOURCE_DIR}/cmake_testscripts)

ADD_TEST(fetch_data
sh ${TESTS}/fetch_data_test.sh ${REGRESSION_TEST_BINARY_DIR} 
)

ADD_TEST(nifti_ver ${NT} -nifti_ver)
ADD_TEST(nifti_tool_ver ${NT} -ver)
ADD_TEST(nifti_help ${NT} -help)
ADD_TEST(nifti_nifti_hist ${NT} -nifti_hist)
ADD_TEST(nifti_hist ${NT} -hist)

ADD_TEST(nifti_disp_hdr ${NT} -disp_hdr -infiles ${DATA}/anat0.nii )

ADD_TEST(nifti_disp_nim ${NT} -disp_nim -infiles ${DATA}/anat0.nii )

ADD_TEST(nifti_disp_ext ${NT} -disp_ext -infiles ${DATA}/anat0.nii )

ADD_TEST(nifti_modhdr_exts
sh ${TESTS}/mod_header_test.sh ${NT} ${DATA} )

ADD_TEST(nifti_bricks_test
sh ${TESTS}/bricks_test.sh ${NT} ${DATA} )

ADD_TEST(nifti_dts_test
sh ${TESTS}/dts_test.sh ${NT} ${DATA} )

ADD_TEST(nifti_dci_test
sh ${TESTS}/dci_test.sh ${NT} ${DATA} )

ADD_TEST(nifti_comment_test
sh ${TESTS}/comment_test.sh ${NT} ${DATA} )
  
ADD_TEST(nifti_header_check ${NT} -check_hdr -infiles ${DATA}/anat0.nii )

ADD_TEST(nifti_nim_check ${NT} -check_nim -infiles ${DATA}/anat0.nii )

ADD_TEST(nifti_dsets_test
sh ${TESTS}/dsets_test.sh ${NT} ${DATA} )

ADD_TEST(nifti_newfiles_test
sh ${TESTS}/newfiles_test.sh ${NT} ${DATA} )

=== Testing/niftilib/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(NIFTILIB_TESTS)

INCLUDE_DIRECTORIES(${NIFTILIB_SOURCE_DIR} ${ZNZLIB_SOURCE_DIR} ${NIFTILIB_SOURCE_DIR}/../utils)

ADD_EXECUTABLE(first_test nifti_test.c)
TARGET_LINK_LIBRARIES(first_test niftiio )

ADD_EXECUTABLE(second_test nifti_test2.c)
TARGET_LINK_LIBRARIES(second_test niftiio )


ADD_TEST(first_test first_test )

=== debian/changelog ===
nifticlib (2.0.0-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:36:46 +0000

nifticlib (2.0.0-2) unstable; urgency=medium

  * The "I am not dead" release. General packaging updates, uncrufting,
    and making lintian v2.5.27 be satisfied.
    - Add all three patches commited to the upstream VCS since the 2.0.0
      release: e.g. improved memory management in case of IO errors.
  * Update uploader's email address.
  * Switch to debhelper compatibility level 9.
  * Replace custom makefile logic with dpkg-buildflags. This
    also enabled hardening features for compilation.
  * Bumped Standards-version to 3.9.5.
  * Removed obsolete DM-Upload tag.
  * Replace embedded jquery.js with a proper package dependency.
  * Rectify shell brace expansion in libnifti-dev.install.
  * 

 -- Michael Hanke <mih@debian.org>  Mon, 06 Oct 2014 07:59:50 +0200

nifticlib (2.0.0-1) unstable; urgency=low

  * New release. Library changed API, hence bumped SO version to 2.0
    (Closes: #587912).
  * Switch to dpkg-source 3.0 (quilt) format. Split git feature branches into
    quilt patch series.
  * Drop versioned -dev package.
  * Change maintainer to NeuroDebian Team <team@neuro.debian.net>.
  * Switch from verbose debhelper rules to 'dh'.
  * Removed ECODE patch (merged with upstream).
  * Bumped Standards-version to 3.9.0. Now supports 'nocheck'.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 20 Jul 2010 16:12:57 -0400

nifticlib (1.1.0-3) unstable; urgency=low

  * Disable building libfslio and remove the associated patches. The library
    is deprecated upstream. The affected Debian packages fsl and fslview
    will both build and use this library from fslview source code.
  * Included upstream-approved patch to add an ECODE for the PYPICKLE
    extension that is needed by PyNIfTI. Adjusted shlibdeps accordingly.
  * Added 'XS-DM-Upload-Allowed: yes' to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 19 Feb 2009 19:13:54 +0100

nifticlib (1.1.0-2) unstable; urgency=low

  * Added patch to libfslio from FSL 4.1: Removal of ANALYZE support.
    Additionally, FSL 4.1 changed the signature of FslSeekVolume(). This patch
    is not imported as it has to be coordinated with upstream (ABI change).
    But as fslio will be remove from the package with the next version, there
    is little need to do so.
  * Added shlibsdeps info with (<= 1.1.0-2) for the upcoming removal of fslio.
    This is only needed for fsl and fslview packages (the only ones using
    fslio), to prevent them from being broken, once a new stripped nifticlib
    package is uploaded.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 24 Oct 2008 15:43:45 +0200

nifticlib (1.1.0-1) unstable; urgency=low

  * New upstream release. libniftiio1 contains some additional symbols --
    keeping SONAME and let dh_makeshlibs note dependency information (>= 1.1).
  * Do not install fsliolib scripts (im*,remove_ext,*.tcl) anymore. This part
    will most likely be removed from the package in future releases. So far,
    it has not been exposed in the default search path, but is only used
    internally by the fsl package. However, FSL itself comes with a more
    up-to-date copy of these scripts. The included ones are outdated and cannot
    be used as a dependency for FSL.
  * Convert debian/copyright into a machine-readable format and merge
    debian/README.legal into it.
  * Bump Standards-version to 3.8.0, no changes necessary.
  * Manpage generator for 'nifti_tool' now replaces all single-quotes with
    double-quotes to prevent confusing them with groff commands, if they are
    first character on a line (addressed lintian warning).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 29 Sep 2008 12:38:07 +0200

nifticlib (1.0.0-1) unstable; urgency=low

  * New Upstream Version. New versioning scheme follows SO versions. All
    libraries in the package are no synchronized with respect to SO name
    and version.
  * Merged filename memory leak patch and ARM alignment patch (modified)
    with upstream.
  * Merged libfslio* packages with libniftiio*. As all library versions
    are now synchronized there is no need to keep libfslio separated.
    Especially as libfslio depends on libniftiio and is only a non-significant
    addition to the libniftiio package. Furthermore upstream is planning to
    merge libfslio with libniftiio in one of the next releases.
  * Renamed the only remaining library package pair to libnifti1. This is
    necessary to move all sub-libraries into one package without changing
    the SO name of libniftiio1 (with properly added conflicts to old
    libniftiio1 package).
  * Removed build-dep to d-shlibs as it cannot deal with new package name and
    install is now done manually.
  * Fixed some missing and some unnecessary symbols with correct linking.
  * Bumped Standards-version to 3.7.3, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 02 Jan 2008 20:46:21 +0100

nifticlib (0.6-3) unstable; urgency=low

  * Fix half-broken dependency of libfslio0-dev on no longer existing
    libniftiio0-dev.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 28 Nov 2007 13:32:14 +0100

nifticlib (0.6-2) unstable; urgency=low

  * Compile 'unused' functions in nifticdf, because the prospective AFNI
    package depends on them. Set SO version of linifticdf to 0debian.1.0,
    because symbols were added.
  * Added new-style 'Hompage' and Vcs* fields to debian/control source stanza.
  * Included patch that fixes an illegal memory read that could occur when
    handling short filenames. Thanks to Yaroslav Halchenko.
  * Included patch that fixes a complicated issue that caused the library to
    fail on ARM. The reason was byte-swapping code that did not take the
    4-byte alignment on ARM into account. Please see
    http://netwinder.osuosl.org/users/b/brianbr/public_html/alignment.html


=== debian/control ===
Source: nifticlib
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9~), cmake, zlib1g-dev, doxygen, python
Standards-Version: 3.9.5
Section: libs
Homepage: http://niftilib.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nifticlib.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nifticlib.git


Package: libnifti2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IO libraries for the NIfTI-1 data format
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package contains the shared library of the low-level IO library niftiio,
 low-level IO library znzlib and the nifticdf shared library that provides
 functions to compute cumulative distributions and their inverses.


Package: libnifti-dev
Section: libdevel
Architecture: any
Depends: libnifti2 (= ${binary:Version}), ${misc:Depends}
Conflicts: libnifti1-dev, libniftiio-dev, libnifti0-dev, libfslio-dev
Replaces: libnifti1-dev
Description: IO libraries for the NIfTI-1 data format
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package provides the header files and static libraries of libniftiio,
 znzlib and libnifticdf.


Package: nifti-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools shipped with the NIfTI library
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package provides the tools that are shipped with the library 
 (nifti_tool, nifti_stats and nifti1_test).


Package: libnifti-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: NIfTI library API documentation
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package provides the library API reference documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This has to be exported to make some magic below work.
export DH_OPTIONS

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

STATIC_BUILD_PATH=DEB_build_static
SHARED_BUILD_PATH=DEB_build_shared

CMAKE_FLAGS=-DCMAKE_INSTALL_PREFIX:PATH=/usr \
            -DNIFTI_INSTALL_INCLUDE_DIR:PATH=include/nifti \
            -DCMAKE_SKIP_RPATH:BOOL=ON \
            -DCMAKE_C_FLAGS:STRING="$$CFLAGS" \
            -DCMAKE_SHARED_LINKER_FLAGS="$$LDFLAGS -Wl,--as-needed" \
            -DCMAKE_EXE_LINKER_FLAGS="$$LDFLAGS -Wl,--as-needed" \
            -DUSE_FSL_CODE:BOOL=OFF \
            -DBUILD_TESTING:BOOL=TRUE

# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	rm -rf $(STATIC_BUILD_PATH) $(SHARED_BUILD_PATH)
	rm -rf docs/html
	dh_clean

override_dh_auto_configure:
	if [ ! -d $(STATIC_BUILD_PATH) ]; then mkdir $(STATIC_BUILD_PATH); fi
	if [ ! -d $(SHARED_BUILD_PATH) ]; then mkdir $(SHARED_BUILD_PATH); fi
	cd $(STATIC_BUILD_PATH) \
	    && cmake $(CURDIR) $(CMAKE_FLAGS) -DBUILD_SHARED_LIBS:BOOL=OFF \
	                                      -DBUILD_TESTING:BOOL=ON
	cd $(SHARED_BUILD_PATH) \
	    && cmake $(CURDIR) $(CMAKE_FLAGS) -DBUILD_SHARED_LIBS:BOOL=ON \
	                                      -DBUILD_TESTING:BOOL=OFF

override_dh_auto_build:
	# build static libs
	cd $(STATIC_BUILD_PATH) && $(MAKE) VERBOSE=1
	# build shared libs and binaries
	cd $(SHARED_BUILD_PATH) && $(MAKE) VERBOSE=1
	# build api reference
	cd docs && doxygen Doxy_nifti.txt
	# remove jquery (use from package dependency)
	rm -f docs/html/jquery.js

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	cd $(STATIC_BUILD_PATH) && ctest
endif

override_dh_auto_install:
	# install binaries and shared libs
	cd $(SHARED_BUILD_PATH) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# install static libs
	cd $(STATIC_BUILD_PATH)/znzlib \
		&& $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd $(STATIC_BUILD_PATH)/niftilib \
		&& $(MAKE)	install DESTDIR=$(CURDIR)/debian/tmp
	cd $(STATIC_BUILD_PATH)/nifticdf \
		&& $(MAKE)	install DESTDIR=$(CURDIR)/debian/tmp
	# install manpage
	$(STATIC_BUILD_PATH)/utils/nifti_tool -help | \
		python debian/makeniftitoolmanpage.py > debian/tmp/nifti_tool.1
	# Remove unecessary header file
	rm $(CURDIR)/debian/tmp/usr/include/nifti/nifti_tool.h

override_dh_installchangelogs:
	dh_installchangelogs -k Updates.txt

=== debian/watch ===
version=3
http://sf.net/niftilib/nifticlib-([\d\.]*)\.tar\.gz
